Home

account_offers

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns information about an account's outstanding offers (orders) in the decentralized exchange. This includes all active offers placed by the account in the XRP Ledger's order books.

Body

application/json

Returns information about an account's outstanding offers (orders) in the decentralized exchange. This includes all active offers placed by the account in the XRP Ledger's order books.

JSON-RPC request payload.

methodstringaccount_offersrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
accountstringrequired

The unique identifier of the account, typically an XRP Ledger address in base58 format. This is the account whose offers are being queried.

ledger_hashstring

(Optional) A 20-byte hex string identifying a specific ledger version to use for the request.

ledger_indexstringvalidatedclosedcurrent

The ledger index of the ledger to use for the request.

  • "validated": The most recent validated ledger
  • "closed": The most recent closed ledger
  • "current": The current working ledger (common for offers)
limitinteger

(Optional) Limit the number of offers to retrieve. The server is not required to honor this value.

markerobject

(Optional) Value from a previous paginated response. Resume retrieving data where that response left off.

Response

200OK

HTTP 200 response for account_offers. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.